-*- coding: utf-8 -*-

2009-02-22 Rüdiger Kuhlmann
	* 0.6.4

2009-02-22 Rüdiger Kuhlmann
	* ignore all error stanzas until we do something useful with them
	* fix more typos in english texts
	* fix some compiler warnings in newer compilers
	* updates to my release script
	* update man page descriptions of options changed recently
	* fix duplicate #define
	* i18n updates (more or less automatic)

2009-02-18 Rüdiger Kuhlmann
	* add TalkGadget as known client
	* request roster upon login - even if we do not do anything with
	  this yet
	* initialize GMail timestamps properly (caused email not to bo
	  shown)
	* remember text given with e.g. xmpp status messages
	  + show in 's'
	  + show shortened to current line in 'eg' etc
	  + shorten to one line	when status change is shown
	  + hide even status changes with text during login as it is now
	  not lost otherwise 
	* send time requests every 5 minutes to prevent timeouts
	* preserve status and text between reconnects
	* save client capability in contact to only show it using 's'
	  instead of in 'eg' and upon login
	* improve handling of XML namespaces

2009-02-09 Rüdiger Kuhlmann
	* unfuck ICQ for RU/UK users
	* actually save dc port into config
	* move socks 5 settings to connection specific options
	* add Telepathy as known client
	* fix failed assertion related to GoogleMail
	* avoid expanding nick size for own screen names

2008-11-24 Rüdiger Kuhlmann
	* also execute eg after login command
	* remove warnings where strings were used in place of format strings

2008-11-18 Rüdiger Kuhlmann
	* add se web translation from Sebastian Rasmussen
	* en doc updates by Sebastian Rasmussen
	* missing interpreter (thanks Sebastian Rasmussen)
	* update se translation from Sebastian Rasmussen
	* ... and use i18n-template to mark changed strings
	* work around other client's errors in sequence numbering
	  (patch from rtc)

2008-08-18 Rüdiger Kuhlmann <info __at__ ruediger-kuhlmann __dot__ de>
	* 0.6.3

2008-08-18 Rüdiger Kuhlmann <info __at__ ruediger-kuhlmann __dot__ de>
	* add queue type for gmail mail checks
	* limit to 25 contacts during contact upload to reduce rate limit
	  exceeds
	* automatically add auth req flag for newly added contacts 
	* add support for Gmail queries and results
	* add gmail command to query emails on GoogleMail
	* do not add a contact twice to a group while loading status file
	* climm-6.2.1-fix-lost-not-auto-serv.patch - thanks komar
	* ICQ server doesn't have a problem with duplicated ids as long as
	  the tags differ, so allow that too, as otherwise contacts will be
	  shown as local only that are, in fact, on the server 
	* ignore roster type 27 (unknown)
	* update translations
	* make conn close sort of synonymous to conn logoff again
	* automatic i18n update, update de and en
	* do not try to interpret parameter as date unless it starts with a
	  digit
	* show senders of unread email, or of all email returned due to an
	  explicit search
	* do not compile gmail command unless XMPP is compiled in
	* ru/uk update
	* prevent use of uninitialized values when extending contact group
	  array
	* gloox doesn't compile with -O4, so fall back to -O2
	* fix compile error without CONTHIER
	* use Tag constructor available also in older versions
	* do not use 0.9.9 findChildren() method

2008-08-16 Rüdiger Kuhlmann <info __at__ ruediger-kuhlmann __dot__ de>
	* add function to get pref value of a contact assuming it's group
	  would be the specified one 
	* add function to determine another group a contact belongs to
	* add function to move contact between groups in one transaction
	* ... and use.
	* write XML residuals into debug log file instead of scrolling the
	  user to death
	* add function to move contacts in bulk
	* add new id for iChat
	* use bulk move function in contact upload
	* fix variable re-usage that caused tog(in)vis with several
	  arguments to loop until SIGPIPE from ICQ server
	* also update the group if it is (locally) already in the group
	  to make it sync to the server if needed 
	* ignore buddy icon requests as we do not support buddy icons
	* ignore roster type 32 (whatever it is)
	* when moving a single contact, only change the normal entry, do not
	  touch visibility
	* increment sub-version
	* fix var used after free (-> segfault) on contact group remove

2008-08-05 Rüdiger Kuhlmann <info __at__ ruediger-kuhlmann __dot__ de>
	* fix missing limits.h include for HPUX
	* rem: try to also update server side list
	* get file transfer back to work

2008-06-12 Rüdiger Kuhlmann <info __at__ ruediger-kuhlmann __dot__ de>
	* OSCAR servers swamp us with rate exceeded messages that just
	  update the rate info, so ignore those
	* allow AIM: keyword to force the following word to be interpreted
	  as AIM screen name without further syntax check
	* modify parsing with AIM: once more. AIM:"..." skips the syntax
	  check now.

2008-05-22 Rüdiger Kuhlmann <info __at__ ruediger-kuhlmann __dot__ de>
	* Fix failed assertion

2008-05-08 Rüdiger Kuhlmann <info __at__ ruediger-kuhlmann __dot__ de>
	* fix direct connections
	* add - try to also update server side list
	* properly re-set auth required flag
	* ignore http://jabber.org/protocol/address tags
	* fix compiler error, thanks rtc
	* another wrong port number

2008-04-01 Rüdiger Kuhlmann <info __at__ ruediger-kuhlmann __dot__ de>
	* another fix to eg et al display width
	* show contacts awaiting authorization as T resp t instead of S resp s
	* also get authreq status from returned contact list
	* another eg output fix
	* fix one failed assertion
	* ignore colon to be able to parse licq logs
	* make it properly detect ingoing/outgoing for licq dump
	* add separate flag to show SRV_ONLINE packets since the ICQ servers
	  tend to flood one with them 
	* always explicitly specify whether to start/end a roster
	  transaction
	* use roster tag instead of group id as the former matches what the
	  server has 
	* fix segfault

2008-03-27 Rüdiger Kuhlmann <info __at__ ruediger-kuhlmann __dot__ de>
	* add functions to add or subtract one contact group from another
	* new flags for eg etc: multi, shadow, group, mine, long, online;
	  discard sv command (functionally equivalent to s) 
	* fix conn logoff
	* recognise iChat
	* fixes for too wide display of 'eg' et al
	* change Contact{Add,Rem}Alias to return 2 if the added alias caused
	  the nick to change 
	* rework roster change code somewhat

2008-03-16 Rüdiger Kuhlmann <info __at__ ruediger-kuhlmann __dot__ de>
	* Server vs Connection separation: final four members cleaned up,
	  ready for real seperation 
	* fix compilation without ENABLE_CONT_HIER
	* fix potentially uninitialized variable
	* don't set type to zero, as then the connection will not be saved
	  and thus silently discarded
	* disable file transfer until I have a chance to fix it
	* Server/Connection split finished

2008-03-10 Rüdiger Kuhlmann <info __at__ ruediger-kuhlmann __dot__ de>
	* fixes to XMPP file transfer
	* fix connections loading
	* Server vs Connection separation: start deciding which member
	  belongs to S vs C; renaming of some members
	* ... and set oscar_uin sufficiently early
	* save connection options on Server struct, not in the contact list
	  contact group 
	* save connection options on Server struct, not in the contact list
	  contact group
	* NEW FILE FORMAT! change creation of scripting and oscar peer2peer
	  connections into global resp. connection option, so that we only
	  need to save real Server structs 
	* fix missing closing bracket (hpux) 
	* Server vs Connection separation: dc port must also be an option,
	  more hiding of unused struct members
	* Server vs Connection separation: two more, one less connection
	  flag
	* Server vs Connection separation: two more, the smoke is clearing

2008-03-08 Rüdiger Kuhlmann <info __at__ ruediger-kuhlmann __dot__ de>
	* fix a mem leak when removing aliases (removing the nick as alias
	  should reset the nick to the screen name, not to nothing)
	* allow to return back the alias that was actually used (preparation
	  for #38)
	* Rework rem* commands. Closes: #38
	* Server vs Connection split missing in XMPP file transfer code
	* proper Replaces: and Conflicts: versioning; thanks kosh
	* Server vs Connection separation: ServerNr?() analogous to
	  ConnectionNr?(); connection are now sorted server connections first.
	  (23 fewer conversions) 
	* Server vs Connection separation: ServerFindScreen?() instead of
	  ConnectionFindScreen?); jabber file transfer sucks. (4 fewer
	  conversions) 
	* Server vs Connection separation: child connections are always
	  childs of server connections (22 fewer conversions) 
	* Server vs Connection separation: fill in ->serv pointer when
	  creating Connection structure and use instead of Connection2Server
	  (50 fewer conversions) 
	* Server vs Connection separation: ServerC() ServerD() (7 fewer
	  conversions)
	* Server vs Connection separation: link conn to serv instead of
	  Server2Connection() (56 fewer conversions)

2008-03-05 Rüdiger Kuhlmann <info __at__ ruediger-kuhlmann __dot__ de>
	* update release script to my chroot builds
	* fix compiler warnings of 64bit platforms
	* prefer utmpx functions over utmp functions, prefer INT_MAX over MAXINT
	* Remove ICQ6 compatibility (it has bitrotted to death anyways)
	* get rid of remaining oldicq_* files
	* Renaming: tcp.c -> oscar_dc.c, peer_file.c -> oscar_dc_file.c,
	  tabs.c -> util_tabs.c 
	* Connection/Server split

2008-02-26 Rüdiger Kuhlmann <info __at__ ruediger-kuhlmann __dot__ de>
	* get distribution code name from /etc/lsb-release
	* restructure event script calls for less malloc() calls
	* fix logging for messages sent to specific ressources 
	* Throw back protocol violations (HTML where only plain text is
	  allowed) back to offender (i.e. Pidgin)

2008-02-25 Rüdiger Kuhlmann <info __at__ ruediger-kuhlmann __dot__ de>
	* do not call SnacCliAddcontact() ever until we have something
	  better; closes #32
	* consider error presences as offline, but also clear client
	  version in that case
	* allow extended staus also for online - it doesn't seem to be in
	  the standard, but everyone seems to use it
	* handle XEP22/85 better
	* 0.6.2

2008-02-22 Rüdiger Kuhlmann <info __at__ ruediger-kuhlmann __dot__ de>
	* update doc for historyd command by komar
	* stop referring to CVS version and refer to SVN instead, closes: #36
	* add client id for Psi. Thanks LeSpocky. Closes #35
	* apply fix to hopefully make it compile with newest and not only
	  newer libgloox; thanks LeSpocky. Closes #34 

2008-02-20 Rüdiger Kuhlmann <info __at__ ruediger-kuhlmann __dot__ de>
	* also set CO_WANTSBL for all contact groups for auto-update
	* fix compiler warnings
	* ignore server added and server deleted packets for now
	* two more client ids
	* update type of queue elements for debug display
	* properly ignore complete known XML subtrees
	* show extended status texts
	* keep uploading for auto-update until there has been no local
	  contact at least once
	* ru/uk translation update from komar

2008-02-18 Rüdiger Kuhlmann <info __at__ ruediger-kuhlmann __dot__ de>
	* missing -I option for C++ source (i.e. Jabber code)
	* add last seen and online since time to s command
	* shorten names of known clients
	* i18n auto-update
	* Replace old #<number>: by #_#<number>: for english text
	* update i18n (numbers)

2008-02-11 Rüdiger Kuhlmann <info __at__ ruediger-kuhlmann __dot__ de>
	* get rid of those annoying false positives in contact diff by rewriting stuff completely 
	* auto-update to set obeysql flag for all ICQv8 connections
	* add extra \xfe to make auth req work again

2008-01-27 Rüdiger Kuhlmann <info __at__ ruediger-kuhlmann __dot__ de>
	* Apply historyd fix and * patch; Closes: #28; Closes: #29
	* Only sbl entries of type normal cause a contact to be marked as 'on
	  server', otherwise if only the visible/invisible/ignore entry is
	  already uploaded, the contact itself would never be considered for
	  upload 
	* change hidefrom/intimate flag always also in sbl
	* fix data dir if binreloc is on; thanks komar

2007-11-24 Rüdiger Kuhlmann <info __at__ ruediger-kuhlmann __dot__ de>
	* Apply file transfer patch. At least it compiles. Closes #21
	* releases are done from tags dir
	* ignore xml:lang attribute
	* show cvs date during build

2007-10-30 Rüdiger Kuhlmann <info __at__ ruediger-kuhlmann __dot__ de>
	* make sure negative connection numbers are never found
	* change to more generally supported syntax
	* this fix for undefined UT_NAMESIZE might be more clever

2007-10-20 Rüdiger Kuhlmann <info __at__ ruediger-kuhlmann __dot__ de>
	* free opt as soon it is not needed anymore
	* add more w32 ANSI terminal links
	* fix compilation under w32
	* allow climm to compile with libgloox >= 0.9; Closes #20
	* add README about TCL usage by jmacloue
	* try to avoid sending roster packets before login is finished
	* XMPP: setInitialPririty() also belongs in the #else
	* and another misapplied change...
	* fix wrong type in argument
	* another missing free

2007-10-14 Rüdiger Kuhlmann <info __at__ ruediger-kuhlmann __dot__ de>
	* 0.6.1

2007-10-12 Rüdiger Kuhlmann <info __at__ ruediger-kuhlmann __dot__ de>
	* cleanup im_request.c also closing mem leaks
	* fix mem leak and even wrong code when receiving certain advanced messages
	* free connection's screen name
	* if parsing a list of contacts, allow to also consider all other connections
	* use for msg command only for now
	* convert 'more' info update to 'new' tlv based request; Closes: #16
	* fix some more references to cvs into svn
	* ignore some more XMMP cruft sent by GoogleTalk
	* fix man page cross references
	* fix encoding for SMS
	* update last update time for two other	updates as well

2007-10-10 Rüdiger Kuhlmann <info __at__ ruediger-kuhlmann __dot__ de>
	* ICQ8 auto messages:
	+ move mime parsing into new function for #8 (get ICQ8 auto messages)
	+ use UNICODE-2-0 for UCS-2BE as ICQ seems to use that
	* fix mICQ/climm client version

2007-10-06 Rüdiger Kuhlmann <info __at__ ruediger-kuhlmann __dot__ de>
	* reset prompt when a status change is ack'ed by the ICQ server;
	  Closes: #4
	* Don't request chat group change before we haven't send CliReady.
	  Closes #7
	* get idle times also from other terminals if possible; Closes #6
	* remove some more autogenerated file from SVN
	* fix several mem leaks found by komar
	* first shot for getting away etc messages from ICQ8
	* get .i18n files in line for SVN and (semi-)auto update

2007-10-03 Rüdiger Kuhlmann <info __at__ ruediger-kuhlmann __dot__ de>
	* rename Connection->open to c_open to avoid name clash with newer
	  libc versions that define open as macro
	* Set umask to 077 at startup. Fixes #5
	* fix possible memory corruption
	* Fixing login (#7), part I: force reqlists after reqbos is granted
	* icqprx: be less noisy and allow to send all client stuff to server at once
	* modify login structure. Closes #7
	* leftover renames mICQ->climm CVS->SVN

2007-09-07 Rüdiger Kuhlmann <info __at__ ruediger-kuhlmann __dot__ de>
	* rename to climm - cli-based multi-messenger
	* 0.6

